<?php
/**
 * The browse view file of thinkrun module of ZenTaoPMS.
 * @copyright   Copyright 2009-2024 禅道软件（青岛）有限公司(ZenTao Software (Qingdao) Co., Ltd. www.zentao.net)
 * @license     ZPL(https://zpl.pub/page/zplv12.html) or AGPL(https://www.gnu.org/licenses/agpl-3.0.en.html)
 * @author      Gang Liu <liugang@easycorp.ltd>
 * @package     thinkrun
 * @link        https://www.zentao.net
 */
namespace zin;

$canCreate  = hasPriv('thinkrun', 'create');
$createLink = createLink('thinkwizard', 'browse', "market={$marketID}&browseType=fromRun");

$cols = $config->thinkrun->dtable->fieldList;
$cols['wizard']['map'] = $wizards;
$cols['actions']['list']['answer']['url'] = array('module' => 'thinkrun', 'method' => 'answer', 'params' => "marketID={$marketID}&stepID={currentStep}&browseType={$browseType}");
$cols['actions']['list']['result']['url'] = array('module' => 'thinkrun', 'method' => 'result', 'params' => "marketID={$marketID}&runID={id}&browseType={$browseType}");

$runs = initTableData($runs, $cols, $this->thinkrun);

featureBar(set::linkParams("market={$marketID}&browseType={key}"));

$canCreate ? toolbar
(
    item(set(array('class' => 'primary', 'url' => $createLink, 'icon' => 'plus', 'text' => $lang->thinkrun->create)))
) : null;

dtable
(
    set::cols($cols),
    set::data(array_values($runs)),
    set::userMap($users),
    set::orderBy($orderBy),
    set::sortLink(inlink('browse', "market={$marketID}&browseType={$browseType}&orderBy={name}_{sortType}&recTotal={$pager->recTotal}&recPerPage={$pager->recPerPage}&pageID={$pager->pageID}")),
    set::footPager(usePager()),
    set::emptyTip($lang->thinkrun->tips->noRun),
    set::createTip($canCreate ? $lang->thinkrun->create : ''),
    set::createLink($canCreate ? $createLink : '')
);

render();
