<?php
/**
 * The result view file of thinkrun module of ZenTaoPMS.
 * @copyright   Copyright 2009-2023 禅道软件（青岛）有限公司(ZenTao Software (Qingdao) Co., Ltd. www.zentao.net)
 * @license     ZPL(https://zpl.pub/page/zplv12.html) or AGPL(https://www.gnu.org/licenses/agpl-3.0.en.html)
 * @author      Zemei Wang <wangzemei@easycorp.ltd>
 * @package     thinkrun
 * @link        https://www.zentao.net
 */
namespace zin;

$changeType        = $type == 'graph' ? 'table' : 'graph';
$canEditConclusion = hasPriv('thinkrun', 'conclusion');
$canExport         = hasPriv('thinkrun', 'export');
if(in_array($wizard->model, $this->config->thinkwizard->venn) && $type == 'graph') $canExport = false;

jsVar('jsRoot', $app->getWebRoot());
jsVar('wizardName', $wizard->name);
jsVar('tipsLang', $lang->thinkrun->tips);
jsVar('type', $type);

detailHeader
(
    to::prefix
    (
        backBtn(set::icon('back'), set::type('secondary'), set::url(inlink('browse', "marketID=$marketID&browseType=$browseType")), $lang->goback),
        div(setClass('divider my-1.5'), setStyle(array('margin-left' => '-12px', 'margin-right' => '-4px')))
    ),
    to::title
    (
        entityLabel
        (
            setClass('font-black font-bold'),
            set::level(1),
            set::text($wizard->name),
            set::title($wizard->name)
        ),
        div
        (
            setClass('min-w-max'),
            $lang->thinkrun->answerProgress,
            span(setClass('text-success'),$answeredCount),
            span(setClass('mx-1'),'/'),
            count($questionSteps)
        )
    ),
    to::suffix
    (
        cell
        (
            setClass('flex gap-0.5'),
            div
            (
                setClass('flex h-full items-center mr-1 min-w-max'),
                icon(setClass('text-gray-800 text-sm mr-1.5'), 'person'),
                zget($users, $run->finishedBy)
            ),
            div
            (
                setClass('flex h-full items-center mr-1.5 min-w-max'),
                $lang->thinkrun->tableResult->finalSubmissionTime . formatTime($run->finishedDate, 'm-d H:i')
            ),
            div(setClass('divider my-2 mr-0.5 ml-3.5')),
            btn
            (
                set::type('ghost'),
                set::icon('fullscreen'),
                $lang->thinkrun->fullscreen,
                set::url('javascript:$("#runResult").fullscreen()'),
            ),
            btn
            (
                set::type('ghost'),
                set::icon('exchange'),
                $lang->thinkrun->exchange,
                set::url(inlink('result', "marketID=$marketID&runID=$run->id&browseType=$browseType&type=$changeType")),
            ),
            $canEditConclusion ? btn
            (
                set::type('ghost'),
                set::icon('pencil'),
                $lang->thinkrun->writeConclusion,
                set::url(inlink('conclusion', "runID=$run->id")),
                set('data-toggle', 'modal')
            ) : null,
            $canExport ? btn
            (
                set::type('ghost'),
                set::icon('export'),
                set::target('_self'),
                $lang->thinkrun->export[$type],
                $type != 'graph' ? set::url(inlink('export', "marketID=$marketID&runID=$run->id")) : null,
                $type == 'graph' ? on::click('exportGraph') : null
            ) : null
        )
    )
);

if($type == 'table')
{
    include 'resultbytable.html.php';
}
else
{
    include 'resultbygraph.html.php';
}
