<?php
/**
 * The common view file of thinkstep module of ZenTaoPMS.
 * @copyright   Copyright 2009-2023 禅道软件（青岛）有限公司(ZenTao Software (Qingdao) Co., Ltd. www.zentao.net)
 * @license     ZPL(https://zpl.pub/page/zplv12.html) or AGPL(https://www.gnu.org/licenses/agpl-3.0.en.html)
 * @author      Zemei Wang <wangzemei@easycorp.ltd>
 * @package     thinkstep
 * @link        https://www.zentao.net
 */
namespace zin;

useWg('thinkoptions');
useWg('editor');
useWg('thinkmatrixoptions');
useWg('thinkradio');
useWg('thinkmulticolumn');

(empty($from) || $from !== 'detail') ? detailHeader
(
    to::prefix
    (
        backBtn(set::icon('back'), set::type('secondary'), set::url(createLink('thinkwizard', 'admin', "marketID=$marketID")), $lang->goback)
    ),
    to::title
    (
        entityLabel
        (
            setClass('text-xl font-black'),
            set::level(1),
            set::text($wizard->name)
        )
    ),
    to::suffix
    (
        cell
        (
            setClass('flex items-center'),
            common::hasPriv('thinkwizard', 'publish') ? btn
            (
                setClass('text-primary'),
                setStyle(array('padding-left' => '6px', 'padding-right' => '6px')),
                set::type('ghost'),
                set::icon('publish'),
                $lang->thinkstep->publish,
                on::click('publish')
            ) : null,
            div(setClass('divider my-2 mr-3 ml-1.5')),
            btnGroup
            (
                set::size('md'),
                setStyle(array('--btn-radius' => '13px')),
                set::items(array(
                    array('text' => $lang->thinkstep->viewSwitcher[0], 'class' => 'btn text-sm text-primary', 'style' => array('background' => 'var(--color-primary-50)', '--tw-ring-color' => 'var(--color-primary-300)')),
                    array('text' => $lang->thinkstep->viewSwitcher[1], 'class' => 'btn text-sm text-gray',    'onclick' => 'window.switchView()')
                ))
            )
        )
    )
) : null;

div
(
    setData(array('marketID' => $marketID, 'wizardID' => $wizard->id, 'stepID' => isset($step->id) ? $step->id : 0, 'mode' => $mode, 'sortErrorTip' => $lang->thinkstep->tips->sortError)),
    setClass((empty($from) || $from !== 'detail') ? 'pt-1 flex gap-4 items-stretch design-content think-step-content' : 'step-detail think-step-content'),
    setStyle(array('min-height' => 'calc(100vh - 120px)')),
    (empty($from) || $from !== 'detail') ? panel
    (
        setClass('flex-1'),
        setStyle(array('min-height' => 'calc(100vh - 140px)')),
        set::bodyClass('px-4 h-full'),
        empty($steps) ? div
        (
            setClass('h-full'),
            input
            (
                setID('stepNode'),
                setClass('hidden'),
                set::placeholder($lang->thinkstep->placeholder->inputContent),
                set::name('title'),
            ),
            div
            (
                setClass('w-full h-full flex items-center justify-center add-btn-box'),
                btn
                (
                    set::icon('plus'),
                    set::type('ghost'),
                    setClass('text-primary m-auto'),
                    setStyle(array('background' => 'rgba(230, 240, 255, .7)')),
                    ($lang->thinkstep->createStep . $lang->thinkstep->node),
                    on::click('showStepInput')
                )
            )
        ) : thinkStepMenu
        (
            set::modules($steps),
            set::wizard($wizard),
            set::marketID($marketID),
            set::from(isset($from) ? $from : ''),
            set::activeKey(isset($step->id) ? $step->id : 0),
            set::sortable(array('handle' => '.icon-move')),
            set::onSort(jsRaw('window.updateOrder')),
            set::defaultNestedShow(true)
        )
    ) : null,
    panel
    (
        setClass('flex-1'),
        set::bodyClass('px-0 pt-0 h-full'),
        empty($steps) ? div
        (
            setClass('w-full h-full flex items-center justify-center text-gray-400'),
            $lang->thinkstep->noData
        ) : thinkStep
        (
            set::action($mode),
            set::item(isset($step) ? $step : null),
            set::wizard($wizard),
            set::addType($addType),
            set::quoteQuestions(isset($quoteQuestions) ? $quoteQuestions : array()),
            set::quotedQuestions(isset($quotedQuestions) ? $quotedQuestions : array())
        )
    )
);
