<?php
/**
 * The browse view file of thinkwizard module of ZenTaoPMS.
 * @copyright   Copyright 2009-2024 禅道软件（青岛）有限公司(ZenTao Software (Qingdao) Co., Ltd. www.zentao.net)
 * @license     ZPL(https://zpl.pub/page/zplv12.html) or AGPL(https://www.gnu.org/licenses/agpl-3.0.en.html)
 * @author      Gang Liu <liugang@easycorp.ltd>
 * @package     thinkwizard
 * @link        https://www.zentao.net
 */
namespace zin;

$canCreate = hasPriv('thinkwizard', 'create');

featureBar();
toolbar
(
    item(set(array('class' => 'primary mr-2', 'url' => inlink('browse', "marketID=$marketID"), 'text' => $lang->thinkwizard->exitDesign)))
);

$items = array();

if($canCreate)
{
    $items[] = div
    (
        setClass('w-1/4 p-1.5'),
        div
        (
            setClass('flex col items-center justify-center cursor-pointer border border-hover bg-canvas shadow p-2 h-72'),
            setData(array('url' => inlink('create', "marketID=$marketID"), 'toggle' => 'modal', 'size' => 'sm')),
            icon('plus text-primary text-4xl'),
            span(setClass('font-bold'), $lang->thinkwizard->create)
        )
    );
}

$wizards = $this->thinkwizardZen->processWizardActions($marketID, $wizards);
foreach($wizards as $wizard)
{
    $items[] = div
    (
        setClass('w-1/4 p-1.5'),
        a
        (
            $wizard->status !== 'online' ? set::href(inlink('design', "marketID=$marketID&wizardID=$wizard->id")) : null,
            div
            (
                setClass('border border-hover bg-canvas shadow p-2', $wizard->status !== 'online' ? 'cursor-pointer' : ''),
                img(setClass('w-full h-48 object-contain'), set::src($wizard->thumbnail)),
                div
                (
                    setClass('p-3 pr-8 h-20 relative'),
                    div
                    (
                        setClass('text-black text-md text-clip'),
                        set::title($wizard->name),
                        label
                        (
                            setClass('size-sm rounded m-1', $wizard->status == 'online' ? 'bg-primary-50 text-primary-500 border-0 shadow-none ring-0' : ''),
                            zget($lang->thinkwizard->statusList, $wizard->status)
                        ),
                        $wizard->name
                    ),
                    div
                    (
                        setClass('text-gray text-sm line-clamp-2 mt-2'),
                        set::title($wizard->desc),
                        $wizard->desc
                    ),
                    !empty($wizard->actions) ? div
                    (
                        setClass('absolute right-0 top-0'),
                        dropdown
                        (
                            btn
                            (
                                set::type('ghost'),
                                set::icon('ellipsis-v'),
                                set::caret(false),
                                on::click('e.preventDefault();'),
                            ),
                            set::items($wizard->actions),
                            set::placement('bottom-start'),
                            set::trigger('hover')
                        )
                    ) : null
                )
            )
        )
    );
}

div(setClass('flex flex-wrap'), $items);

if($wizards) pager(setClass('pull-right'), set(usePager()));
